dvb-log.h File Reference
Ancillary functions and macros

Provides interfaces to handle libdvbv5 log messages. More...

`#include <syslog.h>`

Go to the source code of this file.

## Typedefs

typedef void(* | dvb_logfunc) (int level, const char *fmt,...)
| typedef used by dvb_fe_open2 for the log function
typedef void(* | dvb_logfunc_priv) (void *logpriv, int level, const char *fmt,...)

## Functions

void | dvb_default_log (int level, const char *fmt,...)
| This is the prototype of the internal log function that it is used, if the library client doesn't desire to override with something else.

## Detailed Description

Provides interfaces to handle libdvbv5 log messages.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file dvb-log.h.

## Typedef Documentation

## dvb_logfunc_priv

typedef void(* dvb_logfunc_priv) (void *logpriv, int level, const char *fmt,...)

Definition at line 52 of file dvb-log.h.